Bug 1001298 - gdcm : duplicate documentation files / potentially conflicting
gdcm : duplicate documentation files / potentially conflicting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdcm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Ceresa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 16:39 EDT by Michael Schwendt
Modified: 2013-12-29 23:58 EST (History)
3 users (show)

See Also:
Fixed In Version: gdcm-2.2.6-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 23:58:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed spec changes/fixes (3.54 KB, patch)
2013-12-15 09:49 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2013-08-26 16:39:00 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

http://koji.fedoraproject.org/koji/rpminfo?rpmID=4326717
http://koji.fedoraproject.org/koji/rpminfo?rpmID=4326716
Comment 1 Fedora Update System 2013-11-19 04:02:23 EST
gdcm-2.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gdcm-2.2.6-1.fc20
Comment 2 Fedora Update System 2013-11-19 16:54:30 EST
Package gdcm-2.2.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdcm-2.2.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21749/gdcm-2.2.6-1.fc20
then log in and leave karma (feedback).
Comment 3 Michael Schwendt 2013-12-15 09:49:43 EST
Created attachment 836964 [details]
proposed spec changes/fixes

The fix in the update is almost complete, but the file "COPYRIGHT.txt" MUST be included in the base package and not only in the optional -doc package:

 * https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
 * https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing

[...]

Attached is a patch that is one way to fix it, and it adds fixes for various small issues in the spec.

Note that if you don't mind moving the huge documentation out of the shared %_docdir/gdcm/ (which is the same as the docdir path for the base package), the alternative fix would simply use the %doc macro in both the base package and the -doc package. That would move the html tree into the %_docdir/gdcm-doc/ dir. Many packages do that instead of using a shared docdir for multiple subpackages.

[...]

JFYI (unrelated to this doc), the build.log contains several failing tests including some exceptions/segfaults. Also in your most recent koji build.
Comment 4 Fedora Update System 2013-12-21 08:10:11 EST
gdcm-2.2.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gdcm-2.2.6-2.fc20
Comment 5 Fedora Update System 2013-12-29 23:58:00 EST
gdcm-2.2.6-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.